﻿using SqlSugar;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    /// 站台状态读取记录表
    /// </summary>
    [SugarTable(nameof(WCS_Station523), "站台状态读取记录表")]
    [DataContract]
    public class WCS_Station523 : WCS_PROTOCOLDATA, IStation523
    {
        /// <summary>
        /// 警报
        /// </summary>
        [SugarColumn(ColumnDescription = "警报")]
        [DataMember(Order = 0)]
        public IstationFault Alarm { get; set; }
    }
}
