﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Core;

namespace WCS.WorkEngineering.worlds
{
    /// <summary>
    /// 主世界，所有的系统（交互点）默认在该世界下执行。
    /// 如有系统需独立，请自行增加
    /// </summary>
    public class MainWorld : World
    {
        /// <summary>
        /// 构造函数
        /// </summary>
        public MainWorld()
        {
            Interval = 300;
        }

        /// <summary>
        /// 更新后执行
        /// </summary>
        protected override void AfterUpdate()
        {
            //var objs = GetSystem<CollectConvDataSys>().Objects;
        }
    }
}
